<?php
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
/**
 * Plugin Name: MT WooCommerce Featured Products Carousel
 * Plugin URI: http://www.mainstreethost.com/
 * Description: Featured Products Carousel for WooCommerce - Requires WooCommerce 3.0+
 * Version: 1.0
 * Author: Matthew Tresch for Mainstreethost
 * License: GPLv3 or later
 */
 
require_once( 'admin/mt-woo-featured-admin.php' );



/*REGISTER REQUIRED FILES*/
function mt_featured_wp_enqueue_scripts() {
	wp_register_style( 'slickCSS', plugins_url( '/slick/slick.css', __FILE__ ) );
    wp_register_style( 'slickCSS1', plugins_url( '/slick/slick-theme.css', __FILE__ ) );
	wp_register_style( 'sliderCSS', plugins_url( '/css/style.css', __FILE__ ) );
	wp_register_script( 'slickJS', plugins_url( '/slick/slick.min.js', __FILE__ ), array('jquery') );
}
add_action( 'wp_enqueue_scripts', 'mt_featured_wp_enqueue_scripts' );

/*SHORTCODE*/


function MTFeaturedCarouselShortcode() {
		$setOptions = get_option('mt_featured_settings');
			if($setOptions['max_products'] != ''){$maxOption = $setOptions['max_products'];}else{$maxOption = '-1';};
		
		$setOrderOptions = get_option('mt_featured_settings');
			if ($setOrderOptions['order'] != ''){$orderOption = $setOrderOptions['order'];}else{$orderOption = 'ASC';};
		
		$setOrderByOptions = get_option('mt_featured_settings');
			if ($setOrderByOptions['orderby'] != ''){$orderbyOption = $setOrderByOptions['orderby'];}else{$orderbyOption = 'title';}
		
		$query_slider = array(
			'post_type' => 'product',
			'posts_per_page' => $maxOption,
			'order' => $orderOption,
			'orderby' => $orderbyOption,
				'tax_query' => array(
				array (
					   'taxonomy' => 'product_visibility',
						'field'    => 'name',
						'terms'    => 'featured',
						'operator' => 'IN',
				)
			),
		 );
		$slider_query = new WP_Query( $query_slider );
		$mtfeatured = '';
		$mtfeatured .= '<div class="mt-woofeatured-slider">';

		
		while ( $slider_query->have_posts() ) {
			$slider_query->the_post();
			$mtfeatured .= '<div class="mt-product-slide">';
			$mtfeatured .= '<a href="' . get_permalink() . '" class="mt-product-link">';
			$mtfeatured .= '<img src="'. get_the_post_thumbnail_url( '','medium' ) .'" class="mt-product-image"/>';
			$mtfeatured .= '<div class="mt-product-title">';
			$mtfeatured .= get_the_title();
			$mtfeatured .= '</div>';
			$mtfeatured .= '</a>';
			$mtfeatured .= '</div>';
			
			
		}
		$mtfeatured .= '</div>';
		wp_reset_postdata();
		
		wp_enqueue_style( 'slickCSS' );
		wp_enqueue_style( 'slickCSS1' );
		wp_enqueue_style( 'sliderCSS' );
		wp_enqueue_script( 'slickJS' );
		
		add_action('wp_footer', 'add_this_script_footer');
		
		return $mtfeatured;		
					
	}
		
	add_shortcode('mt-featuredproducts', 'MTFeaturedCarouselShortcode');


/*SLICK JQUERY*/

function add_this_script_footer(){ 

$slickOptions = get_option('mt_featured_settings' );
?>

<script type="text/javascript">
    jQuery(document).ready(function(){
      jQuery('.mt-woofeatured-slider').slick({
 <?php $slickOption = $slickOptions['slick-settings']; if ($slickOption != '') {echo $slickOption;} else {echo 'dots: true, arrows: false, infinite: false, speed: 300, slidesToShow: 3, slidesToScroll: 1, lazyLoad: \'ondemand\', autoplay: true, speed: 3000, autoplaySpeed: 3500, responsive: [ { breakpoint: 768, settings: { slidesToShow: 2 } }, { breakpoint: 480, settings: { slidesToShow: 1 } } ]';} ?>
});
    });
</script>

<?php } ?>